#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-class-plugin
version:              2.0.0.0
visibility:           public
id:                   hls-class-plugin-2.0.0.0-260KMUADyngER3yjywGwaP
key:                  hls-class-plugin-2.0.0.0-260KMUADyngER3yjywGwaP
license:              Apache-2.0
maintainer:           jjc9310@gmail.com
author:               Junyoung Clare Jang
homepage:             https://github.com/haskell/haskell-language-server#readme
synopsis:
    Class/instance management plugin for Haskell Language Server

description:
    Class/instance management plugin for Haskell Language Server.
    For usage, please see README of HLS on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  01b9cd46748449c38dc92efd1c9b4447
exposed:              True
exposed-modules:      Ide.Plugin.Class
hidden-modules:
    Ide.Plugin.Class.CodeAction Ide.Plugin.Class.CodeLens
    Ide.Plugin.Class.ExactPrint Ide.Plugin.Class.Types
    Ide.Plugin.Class.Utils

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hls-class-plugin-2.0.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hls-class-plugin-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-class-plugin
hs-libraries:         HShls-class-plugin-2.0.0.0-260KMUADyngER3yjywGwaP
depends:
    aeson-2.1.2.1-3rgGDwZqcHL8RNfGOD8e99 base-4.16.4.0
    containers-0.6.5.1 deepseq-1.4.6.1
    extra-1.7.16-JutnBsile2D4Agvqb7rAf9 ghc-9.2.8 ghc-boot-th-9.2.8
    ghc-exactprint-1.5.0-2EMQ94BBrmP8q5j2rhzZCH
    ghcide-2.0.0.0-9lVxPc4s36YGnVKpVZYEow
    hls-graph-2.0.0.0-LF5fQEi8y84LunrXq205cT
    hls-plugin-api-2.0.0.0-5GnkJAGB2nQAhaXVJPcdO1
    lens-5.2.3-ArLZ6zglf4zFaksKXWD2Ie lsp-1.6.0.0-FKJ89SeTQhXPWM72HmLp
    text-1.2.5.0 transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-hls-class-plugin/html/hls-class-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-class-plugin/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

